- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# PluginGUIEditor Class Reference

`#include <plugguieditor.h>`

List of all members.

## Public Member Functions
| PluginGUIEditor (void *pEffect)
virtual | ~PluginGUIEditor ()
virtual void | setParameter (long index, float value)
virtual long | getRect (ERect **ppRect)
virtual bool | open (void *ptr)
virtual void | close ()
virtual void | idle ()
virtual void | draw (ERect *pRect)
void | wait (unsigned long ms)
unsigned long | getTicks ()
virtual void | doIdleStuff ()
void * | getEffect ()
long | getVstGuiVersion ()
virtual long | setKnobMode (int val)
virtual bool | onWheel (float distance)
CFrame * | getFrame ()
virtual void | beginEdit (long index)
virtual void | endEdit (long index)
## Static Public Member Functions
static long | getKnobMode ()
## Protected Attributes
ERect | rect
CFrame * | frame
void * | effect
void * | systemWindow

## Detailed Description

This is the same as the AEffGUIEditor class except that this one allows the VSTGUI lib to build without VST dependencies.

## Constructor & Destructor Documentation

PluginGUIEditor::PluginGUIEditor | ( | void * | pEffect | ) |

PluginGUIEditor::~PluginGUIEditor | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void PluginGUIEditor::beginEdit | ( | long | index | ) | `[inline, virtual]`

virtual void PluginGUIEditor::close | ( |  | ) | `[inline, virtual]`

void PluginGUIEditor::doIdleStuff | ( |  | ) | `[virtual]`

void PluginGUIEditor::draw | ( | ERect * | pRect | ) | `[virtual]`

virtual void PluginGUIEditor::endEdit | ( | long | index | ) | `[inline, virtual]`

void* PluginGUIEditor::getEffect | ( |  | ) | `[inline]`

CFrame* PluginGUIEditor::getFrame | ( |  | ) | `[inline]`

static long PluginGUIEditor::getKnobMode | ( |  | ) | `[inline, static]`

long PluginGUIEditor::getRect | ( | ERect ** | ppRect | ) | `[virtual]`

unsigned long PluginGUIEditor::getTicks | ( |  | ) |

long PluginGUIEditor::getVstGuiVersion | ( |  | ) | `[inline]`

void PluginGUIEditor::idle | ( |  | ) | `[virtual]`

bool PluginGUIEditor::onWheel | ( | float | distance | ) | `[virtual]`

bool PluginGUIEditor::open | ( | void * | ptr | ) | `[virtual]`

long PluginGUIEditor::setKnobMode | ( | int | val | ) | `[virtual]`

virtual void PluginGUIEditor::setParameter | ( | long | index,
|  | float | value
| ) | `[inline, virtual]`

void PluginGUIEditor::wait | ( | unsigned long | ms | ) |

## Member Data Documentation

void* PluginGUIEditor::effect`[protected]`

CFrame* PluginGUIEditor::frame`[protected]`

ERect PluginGUIEditor::rect`[protected]`

void* PluginGUIEditor::systemWindow`[protected]`

The documentation for this class was generated from the following files:

- plugguieditor.h
- plugguieditor.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.